--Entry 2. Gameplay rooms: 9

entry2 = diary {
   nam          = [[September 5th, 1846]] --"5 сентября 1846 года"
  ,enter        = music_("paper")
  ,dsc          = [[I still count the days. Days that vanish, days that draw closer to nothing and nowhere, despite hope that prudence and these routine entries in my diary will shortly carry me home. My heart beats weakly and consumption moves deeper into my chest after every rain.
  ^^I have yet to find medicine onboard and the climate is not one to heal. It is not unlike England in this regard, and with so many ventures out of doors my health is in constant jeopardy. One day's clear respite is followed by a week of relentless tempests. Father warned of the foul weather, that even a banal and common malady at home would here leave a man incapacitated, weaknesses amplified tenfold. Even the stoutest explorer would require substantial mooring. So here I sit huddled, damp, and freezing, at the mercy of the threatening skies.
  Yet it is not the cold or the rain, but the memory of the groans preceding death. 
  ^^Our captain, gaunt and bloodless, exited long before he took his last breath, leant against the gunwale with empty eyes staring out over the black water. Perhaps it was divine punishment for an offense in his youth, but then God must find great fault with all our lot. 
  ^^We removed the first of the sick to private quarters, yet I feared it was too late even then. The ship's doctor supplied what relief he could until he began to show signs himself. I am left no comrades or crew. Survival feels no blessing. This I vow -- I will return, and find my dear Lisa waiting. She must imagine my work going well, perhaps the natives are more enchanting than I imagined in our sitting room. I can hear her telling the neighbors of my father's unfinished research...
  ^^For so long I was certain she should follow and put roots into this damned soil. My God, it would cost my sanity were she here to suffer.]] 
  --[[Я продолжаю исправно считать дни, как если бы спокойная расчетливость и педантичность -- а также ежедневные записи в бортовом журнале "Майского цветка" -- могли неведомым образом приблизить мое спасение. Хандра моя продолжает усиливаться, и теперь меня мучает сильный чахоточный кашель, а я даже не могу найти на этом корабле хоть какую-нибудь микстуру. Впрочем, неудивительно, что здоровье мое подорвано. Здешний климат вовсе не располагает к частым пешим прогулкам -- особенно, в этот клятый сезон дождей, когда на один солнечный день выпадает неделя ливней. Отец, который бывал на островах раньше, часто рассказывал о здешних дождях, и я, помнится, даже шутил, что отважному этнографу надо первым делом не забыть прихватить с собой зонтик, а не то вся исследовательская миссия окажется под угрозой из-за обычной простуды, которой, по всей видимости, страдаю теперь и я.
  ^^ Однако погубила нас вовсе не простуда. До сих пор мне иногда слышатся крики матросов, я вижу капитана с бледным, точно не живым лицом, который едва стоит на ногах, опираясь на самодельную деревянную клюку, и смотрит сквозь меня черными, запавшими глазами. Это было подобно каре Господней, но только за что Он покарал нас? Первого же заболевшего матроса мы перенесли в отдельную каюту, но было уже поздно. А потом слег сам врач... Иногда я думаю -- то, что я единственный остался в живых, это дар Господень или же наказание?  Но я дал себе обещание -- я должен вернуться. Лиза ждет меня. Прошло еще не так много времени, и сейчас она, наверное, думает, что я занимаюсь исследованием туземцев на островах, пишу труд, который не успел написать мой отец. Раньше, еще до отплытия, мне казалось, что Лиза будет сниться мне каждую ночь, однако я не видел ни одного сна с тех пор, как "Майский цветок" покинул воды Англии.]] 
  ,next         = chain_ { 
                    music_("crypticsorrow", 0),
                    walk_("maindeck", [[I am lost without a telescope... there must be another on the ship. Either on the body of the captain or that sailor who deftly climbed the rigging each day. 
                ^To find a replacement would bolster my hope greatly.]] --[[Без подзорной трубы я чувствую себя слепым. И как я мог потерять ее? Но наверняка же на всем этом корабле должна быть хоть какая-то подзорная труба. Я вспоминаю, что видел одну в руках у капитана. Да и матрос, который поднимался на смотровую площадку на грот-мачте... Кажется, я не раз замечал в его руках подзорную трубу. Кто знает, быть может, она до сих пор осталась там, на вершине мачты, хотя мне самому слабо верится в это.]]  
                        ) 
                  }
}


------------------------------------------------------------------------------------------
-- maindeck
------------------------------------------------------------------------------------------

maindeck = scene {
   nam          = [[The Main Deck of the Ship]]--"На палубе"
  ,obj          = { 
                     "maindeck_itself"
                    ,"maindeck_boat"
                    ,"maindeck_mast"
                    ,"maindeck_mast2"
                    ,"maindeck_sky"
                    ,"maindeck_sail"
                    ,"rope"
                    ,"maindeck_gocabin"
                    ,"maindeck_gohold"
                    ,"maindeck_ship"
                    ,"maindeck_shore"
                  }
  ,enter        = function(s)
                    if have("candle") and candle._fire then
                      candle._fire = false;
                      s._tmpdsc = [[An unexpected draft extinguishes my candle.]]--[[Ветер задул свечу.]];
                    end
                  end
}

maindeck_itself = item {
   nam          = "deck"
  ,Exam         = [[Our ship was most assuredly equipped for a voyage such as was undertaken by the captain. His private cabin as well as the cargo hold are accessible from here.]] --[[Палуба корабля не очень большая. В носовой части и на корме стоят на деревянных пазах небольшие шлюпки. С палубы можно подняться в каюту капитана или спуститься в трюм.]]
  ,Walk         = [[I walk the deck alone...]] --[[Я и так на палубе.]]
  ,Lie          = [[It is cold and I cannot sleep.]] --[[У меня нет никакого желания лежать на грязной палубе.]]
  ,Sit          = [[I sit down and rest my back against the mainmast. I stare up at the sagging sails as they drift against the murky sky. 
  ^I pull myself up, knowing to rest is good but best kept brief.]] --[[Я сажусь на палубу рядом с грот-матчой и некоторое время смотрю на поднятый парус. Ветер приносит запах горечи и соли. Пусть сейчас на небе нет ни облака, но наверняка в конце дня пойдет дождь. Я чувствую это. ^Наконец я встаю на ноги.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the deck"
                    ,["Walk"] = "across the deck"
                    ,["Lie"] = "down on the deck"
                    ,["Sit"] = "down on the deck"
                    ,["Throw"] = "on the deck"
                  }
}

maindeck_boat = item {
   nam          = --_"шлюпки"
                  name_ {
                     ["default"] = "dinghy|~boat"
                  }
  ,Exam         = [[It would be no easy task to pull the dinghy to water on my own.]] --[[Спустить их на воду в одиночку не так-то просто, если вообще возможно. Впрочем, одна шлюпка -- та, что привязана к деревянным пазам сразу за бизань-мачтой -- давно уже привлекает мое внимание. Но для начала неплохо бы найти себе новую подзорную трубу.]]
  ,Move         = [[I have not the energy or the plan.]] --[[Я не думаю, что у меня сейчас есть силы заниматься этим.]]
  ,Fire         = [[Setting it alight would be unwise. It may prove useful.]] --[[Сжигать свою последнюю надежду убраться с этого острова? Ну уж нет.]]
  ,FireOff      = nilfn
  ,Ascend       = [[There is no reason to board it here.]] --[[У меня нет желания залезать в какую-либо из этих шлюпок.]]
  ,Climb        = redirect_("Ascend", "maindeck_boat")
  ,Clean        = nilfn
  ,imy          = {
                     ["default"] = "the dinghy"
                  }
}

maindeck_mast = item {
   nam          = --_"мачта|~грот-мачта"
                  name_ {
                     ["default"] = "mainmast"
                  }
  ,dsc          = [[I stand on the deck near the towering mainmast, hesitant to even look up at the crow's nest...]] --[[Я стою на палубе своего корабля, рядом с грот-мачтой.]]
  ,Exam         = [[The sail trembles in the breeze.
  ^The spryest of the crew would climb to the peak several times each day. What was his name? Sam, perhaps. 
  ^Despite his refuge above our damned lot, and a flask to clear his throat, he was among the first to die.]] --[[Это самая высокая мачта со смотровой площадкой наверху. Парус на мачте все еще поднят и колышется на ветру. На эту мачту часто забирался тот матрос... Как же его звали? Сэм? Он умер одним из первых. Поговаривали, что у него там, на смотровой площадке, есть секретная заначка, фляжка рома или еще какого крепкого, раздирающего глотку пойла. Видно, так он согревался от пронизывающего океанического холода, когда стоял наверху, открытый всем ветрам.]]
  ,Descend      = [[I am not climbing the mast.]] --[[Я и так не на мачте.]]
  ,Ascend       = choose_ {
                     ["not shoes._off"] = [[I remember marveling at that sailor's technique. He would remove both his shoes, beginning a bit unnaturally as he was quite a tall figure. His long arms would pull him higher and higher overhead. I doubt my resolve, and I cherish my shoes...]] --[[Я помню, как Сэм залезал на эту мачту -- он карабкался быстро и ловко, цепляясь руками и босыми ногами за кольца из грубой холщовой веревки, которыми обтянута вся мачта. Было в его движениях что-то от животного, какая-то неестественная для здоровенного взрослого мужчины кошачья сноровка. Сомневаюсь, что я смогу подняться на эту мачту в своих тесных башмаках.]]
                    ,["shoes._off and not jacket._off"] = [[Climbing on, trying to move like the man I studied, that sailor who must have spent much of his life as the tip of a metronome, ticking back and forth over the open water.
                          ^My jacket restricts the movement of my arms and they grow more tired with each hold.]] --[[Я начинаю забираться по мачте, стараясь двигаться так же, как и Сэм -- моряк, который был на корабле смотровым. Однако цепляться за кольца на мачте совсем не просто, к тому же тесный камзол всерьез стесняет мои движения. Я быстро устаю и спускаюсь вниз.]] --FIXME, NEEDS A TIMER OR CONDITION FOR TRYING AGAIN LATER
                    ,["shoes._off and jacket._off"] = walk_("mast")
                  }
  ,Climb        = redirect_("Ascend", "maindeck_mast")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = [[I must be going mad...]] --[[Кажется, я медленно схожу с ума, раз такие мысли приходят мне в голову.]]
 ,Clean        = nilfn
 ,imy          = {
					["default"] = "the mainmast"
					,["Descend"] = "from the mainmast"
				}
}
				
maindeck_mast2 = item {
   nam          = --_"~бизань-мачта"
                  name_ {
                    ["default"] = "mizzenmast"
                  }
  ,Exam         = [[The mizzenmast has a dinghy stored next to it.]] --[[Кормовая мачта корабля, которая поддерживается растяжками. Рядом с мачтой стоят несколько шлюпок.]]
  ,Descend      = [[I have yet to climb up.]]--[[Я и так не на мачте.]]
  ,Ascend       = [[It is unnecessary. The lookout's spot at the top of the mainmast may offer some reward though.]]--[[Не вижу смысла подниматься на эту мачту.]]
  ,Climb        = redirect_("Ascend", "maindeck_mast2")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = redirect_("Move", "maindeck_mast")
  ,Clean        = nilfn
  ,imy          = {
                     ["default"] = "the mizzenmast"
                    ,["Descend"] = "from the mizzenmast"
                  }
}

maindeck_sky = item {
   nam          = "sky"--_"небо"
  ,dsc          = [[The sky is pale and sullen.]] --[[Небо сегодня чистое, бледного невыразительного цвета, точно выгоревшее на солнце, однако меня все равно знобит -- быть может, из-за порывистого ветра, который поднялся с самого утра.]]
  ,Exam         = [[There has not been a bright day for too long now.]]--[[Нечасто здесь увидишь такое ясное небо.]]
  ,imy          = {
                     ["default"] = "the sky"
                  }
}

maindeck_sail = item {
   nam          = --_"парус"
                  name_ {
                     ["default"] = "sail"
                  }
  ,Exam         = [[I cannot lower the sail. It trembles in the wind as though the ship is still being blown along through these hardships, venturing further toward madness, away from Lisa standing on the pier waving goodbye.]] --[[Я так и не смог опустить парус, и его по-прежнему раздувает ветер. Когда смотришь вверх, на самую вершину мачты, то кажется, будто бы корабль все еще плывет по волнам -- мы только что покинули порт и вышли в океан. Впереди у нас -- тысяча миль пути.  Через ураганы и ливни, через безумные течения и ветра. Я все еще вижу перед глазами Лизу, как она стоит на пристани и машет мне рукой. Мы расстались совсем недавно, но я уже начинаю скучать.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Ascend       = [[It is not possible. However, climbing the mainmast promises a reward.]] --[[Забраться на парус будет непросто, и я не очень понимаю, зачем нужно делать это. С другой стороны -- может, стоит попробовать подняться на смотровую площадку на грот-мачте?]]
  ,Climb        = redirect_("Ascend", "maindeck_sail")
  ,imy          = {
                     ["default"] = "the sail"
                  }
}

rope = item {
   nam          = --_"верёвка с крюком"
                  name_ {
                    ["default"] = "rope with a hook"
                  }
  ,dsc          = [[There is a length of rope with an iron hook hanging from the starboard gunwale.]] --[[У правого фальшборта лежит длинная веревка с железным крюком на конце.]]
  ,Exam         = [[I use it to climb aboard the ship.]] --[[Длинная веревка с массивным железным крюком на конце, с помощью которой я забираюсь на корабль.]]
  ,Throw        = use_ {
                     ["default"] = [[I will need it to climb down to the shore.]]--[[Если я потеряю эту веревку, то не смогу даже спуститься с корабля.]]
                    ,["mast_square"] = walk_("square",
                      [[I swing the hook and let it fly toward the yard where it catches hold of the crossbeam, then pull myself up into the crow's nest.]]--[[Я подкинул веревку вверх, и она зацепилась крюком за перекладину над смотровой площадкой. Медленно, стараясь не смотреть вниз, я поднялся по веревке на смотровую площадку.]]
                        )
                  }
  ,Swing		    = choose_ {
                     ["default"] = [[I will need it to climb down to the shore.]]--[[Если я потеряю эту веревку, то не смогу даже спуститься с корабля.]]
                    ,["here()==mast"] = walk_("square",
                      [[I swing the hook and let it fly toward the yard where it catches hold of the crossbeam, then pull myself up into the crow's nest.]]--[[Я подкинул веревку вверх, и она зацепилась крюком за перекладину над смотровой площадкой. Медленно, стараясь не смотреть вниз, я поднялся по веревке на смотровую площадку.]]
                        )
                  }
  ,Take         = chain_ {
                    take_("rope"),
                    [[I take the rope and hook in hand.]] --[[Я подобрал веревку с крюком на конце.]]
                  }
  ,Pick         = redirect_("Take", "rope")
  ,withOpen     = true
  ,imy          = {
                     ["default"] = "the rope and hook"
                    ,["Open"] = "with the rope and hook"
                  }
}

maindeck_gocabin = item {
   nam          = --_"каюта капитана"
                  name_ {
                    ["default"] = "cabin"
                  }
  ,dsc          = [[I might go into the captain's cabin.]] --[[С палубы можно подняться в каюту капитана]]
  ,Walk         = walk_("cabin")
  ,imy          = {
                     ["default"] = "the captain's cabin"
                    ,["Walk"] = "to the captain's cabin"
                  }
}

maindeck_gohold = item {
   nam          = --_"трюм"
                  name_ {
                     ["default"] = "hold"
                  }
  ,dsc          = [[I might go down into the cargo hold.]]--[[или спуститься вниз, в трюм.]]
  ,Walk         = walk_("hold")
  ,Descend      = walk_("hold")
  ,imy          = {
                     ["default"] = "the hold"
                    ,["Walk"] = "into the hold"
                    ,["Descend"] = "into the hold"
                  }
}

maindeck_ship = item {
   nam          = "ship"
  ,Exam         = [[A stalwart ship having managed such a harrowing journey. Now she sits condemned atop a reef.]]--[["Майский цветок", корабль, который достался мне в наследство от отца и которому суждено было завершить свое первое плавание здесь, на рифах.]] 
  ,Descend      = [[I must find another spyglass.]]--[[Лучше сначала найти подзорную трубу.]] 
  ,Fire         = [[Am I not going mad?]]--[[Я еще не сошел с ума, чтобы поджигать корабль.]] 
  ,FireOff      = nilfn
  ,Move         = redirect_("Move", "maindeck_mast")
  ,imy          = {
                     ["default"] = "the ship"
                    ,["Descend"] = "from the ship"
                  }
}

maindeck_shore = item {
   nam          = "shore|~coast"
  ,Walk         = redirect_("Descend", "maindeck_ship")
  ,Descend      = redirect_("Descend", "maindeck_ship")
  ,imy          = {
                     ["default"] = "the shore"
                    ,["Walk"] = "to the shore"
                    ,["Descend"] = "to the shore"
                  }
}


------------------------------------------------------------------------------------------
-- mast
------------------------------------------------------------------------------------------

mast = scene {
   nam          = [[To the Crow's Nest]]--"На мачте"
  ,dsc          = [[I begin unsure of my footing. It is impossible to move as quickly as the lookout did. My body quakes as I put one hand over the other. The railing of the crow's nest is so far away.]]--[[С большим трудом, цепляясь за кольца из веревок руками и ногами, я поднимаюсь на верх мачты. Силы мои почти на исходе, я чувствую, как все тело мое дрожит от усталости -- все-таки здоровье мое за последние дни сильно пошатнулось, и это явно не морская болезнь.^  До смотровой плошадки остается совсем немного, однако веревочных колец на мачте больше нет, а я никак не могу дотянуться до деревянного козырька у меня над головой.]] 
  ,newdsc       = [[I press my face against the pole, shivering uncontrollably. It is but a few feet now, but I see no more rigging by which to transport myself, and the yard is well below the platform.]]--[[Я стою, упираясь босыми ногами в кольцо из веревки и обхватив руками скользский промасленный ствол мачты. Все тело мое дрожит от усталости. До смотровой плошадки остается совсем немного, однако веревочных колец на мачте больше нет, а я никак не могу дотянуться до деревянного козырька у меня над головой.]] 
  ,obj          = { 
                     "mast_itself"
                    ,"mast_square"
                    ,"mast_rings"
                    ,"mast_hold"
                  }
  ,TurnAround   = [[I cannot bear to look at the deck below.
  ^My eyes find their way and I am frozen.]]--[[Я обернулся, затем посмотрел вниз. Да, я действительно поднялся очень высоко.]] 
  ,Wait         = [[The longer I wait the more I risk not moving ever again.]]--[[Не вижу смысла долго висеть на этой мачте -- руки мои уже начинают ныть от усталости.]] 
}

mast_itself = item {
   nam          = _"mainmast"
  ,Exam         = [[This is the tallest point on the ship.]]--[[Самая большая мачта на этом корабле. Мне не верится, что я смог подняться так высоко. До смотровой площадки осталось совсем немного.]] 
  ,Descend      = walk_("maindeck", 
                      [[I could not force myself to go farther... I have returned to the deck.]]--[[Я так и не смог подняться на смотровую площадку. Мне ничего не оставалось как спуститься вниз, на палубу.]]
                      )
  ,Ascend       = [[I do not see any rings or fittings.]]--[[Я поднялся уже почти на самый верх, колец из веревки больше нет.]]
  ,Climb        = redirect_("Ascend", "mast_itself")
  ,Move         = [[I mock myself with such impulses.]]--[[Это попросту невозможно.]]
  ,JumpFrom     = [[It is too far to jump into the water.]]--[[Не стоит прыгать отсюда, я наверняка разобьюсь.]]
  ,Jump         = [[I am already upon the mast.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the mainmast"
                    ,["Descend"] = "from the mainmast"
                    ,["Climb"] = "on the mainmast"
                    ,["Pour"] = "the mainmast"
                  }
}

mast_square = item {
   nam          = _"crow's nest|~lookout"--"crow's next"
  ,Exam         = [[The lookout, standing on this narrow platform, gripping the mast with one arm, his eyes on the horizon until the sun was well past the yardarm. 
  ^How did he reach his station after all? Surely he did not leap!]] --[[Я вспоминаю, как Сэм, покойный моряк, стоял на этой узенькой смотровой площадке, обхватив мачту одной рукой и вперив свой взгляд в океан, прикрываясь одной рукой от солнца. Но вот вспомнить, как именно он забирался на этот узенький козырек, я совсем не могу. Дотянуться до смотровой площадки у меня никак не получается. Неужели единственная возможность -- это прыгать?]]
  ,Jump         = [[I reflect on the situation, more dire than I presumed on the deck. In the quiet my eyes find their way down to the surface where men should live and work. What purpose have all these my tribulations served, should God take me now?
                    ^I lack the strength to launch myself toward the perch above.]]--[[Несколько секунд я раздумываю о том, чтобы попробовать допрыгнуть до смотровой площадки, но потом невольно роняю взгляд вниз... Нет, я забрался так высоко! А что, если я сорвусь? Вряд ли у меня хватит сил допрыгнуть.]]
  ,Ascend       = redirect_("Jump", "mast_square")
  ,Climb        = redirect_("Jump", "mast_square")
  ,Descend      = [[I am not on the crow's nest.]] --[[Чтобы спуститься со смотровой площадки, нужно сначала на нее залезть.]]
  ,Move         = redirect_("Move", "mast_itself")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,withPour     = true
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the crow's nest"
                    ,["Descend"] = "from the crow's nest"
                    ,["Pour"] = "the crow's nest"
                    ,["Throw"] = "on the crow's nest"
                  }
}

mast_rings = item {  
   nam          = --_"кольца из веревки"
                  name_ {
                     ["default"] = "rigging|~cordage"
                  }
  ,Exam         = [[Are there no handles attached to the mast to let me onto the platform. I am deathly afraid, yet this place is bound to test my mettle still more.]] --[[На мачте есть кольца из веверки, по которым матросы обычно поднимаются вверх. Кольца расположены примерно на одинаковом расстоянии друг от друга, однако над моей головой кольца нет.]]
  ,Jump         = [[I cannot see any handholds to catch myself.]] --[[У меня над головой нет колец из веверки.]]
  ,Ascend       = redirect_("Jump", "mast_rings")
  ,Climb        = redirect_("Jump", "mast_rings")
  ,Descend      = walk_("maindeck", [[I must admit my weakness in the eyes of God.]] --"Я так и не смог подняться на смотровую площадку. Мне ничего не оставалось как спуститься вниз, на палубу."
                      )
  ,JumpFrom     = redirect_("JumpFrom", "mast_itself")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the rigging"
                    ,["Jump"] = "on the rigging"
                    ,["Descend"] = "from the rigging"
                    ,["Pour"] = "the rigging"
                  }
}

mast_hold = item {
   nam          = "deck"
  ,Descend      = redirect_("Descend", "mast_rings")
  ,imy          = {
                     ["Descend"] = "to the deck"
                  }
}

square = scene {
  _flask       = false --Flask must be found in this scene
  ,nam          = [[The Top of the World]]--"На смотровой площадке"
  ,obj          = { 
                     "square_itself"
                    ,"square_mast"
                    ,"square_bag"
                    ,"flask" 
                    ,"square_gohold"
                  }
  ,TurnAround   = [[The platform is so narrow I cannot make myself turn and look about in the opposite direction.]] --[[Площадка такая узкая, что мне сложно даже обернуться.]]
  ,Wait         = [[I must not loiter. The rain is sure to return, and even a small gust would remove me.]] --[[Мне совсем не хочется задерживаться здесь. А вдруг пойдет дождь или поднимется ураганный ветер? Кажется, что одного сильного порыва достаточно, чтобы я сорвался с этой узенькой смотровой площадки. К тому же у меня начинает кружиться голова.]]
}

 square_itself = item {
   nam          = _"crow's nest|~lookout"
  ,dsc          = [[It is a narrow wooden viewing platform.]] --[[Я стою на узкой смотровой площадке.]]
  ,Exam         = [[I must keep my chest pressed against the mast.]]--[[Смотровая площадка совсем узкая, и мне приходится стоять, почти прижавшись спиной к мачте. ]]
  ,Ascend       = [[I am as high up as possible.]]--[[Я и так на смотровой площадке.]]
  ,Climb        = redirect_("Ascend", "square_itself")
  ,Descend      = walk_("maindeck", [[I test the rope, then carefully lower myself onto it, my feet swinging freely as I frantically try to wrap them around the mast. I descend the rigging slowly, breathing in time with every handhold.]]) --[[Я отцепил веревку с крюком от мачты и осторожно слез со смотровой площадки -- мне пришлось повиснуть на руках, раскачаться и ухватиться ногами за ствол мачты. Потом, прижавшись к мачте всем телом, я соскользнул вниз, на палубу.]]
  ,Move         = [[The platform is fixed in place.]]--[[Каким образом я буду передвигать смотровую площадку?]]
  ,Sit          = [[I sit down holding fast to the pole with one arm, remembering with a severe sense of humility the sailor hanging on through stormy weather and all.
  ^I pull myself to my feet, grasping for my dignity.]]--[[Я сажусь на узкий деревянный козырек, по-прежнему крепко держась одной рукой за мачту. Я чувствую, как все сжимается у меня внутри, а босые ноги  холодеют от страха. А ведь тот матрос забирался сюда даже во время шторма, когда корабль нещадно бросало на волнах.^Я медленно поднимаюсь на ноги.]]
  ,Lie          = [[It is too narrow to lie down.]]--[[Лечь здесь не получится.]]
  ,JumpFrom     = redirect_("JumpFrom", "mast_itself")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = [[I am concerned with staying alive than cleaning the surface.]]--[[Меня больше беспокоит, как бы не сорваться отсюда.]]
  ,Walk         = [[There is barely room to stand, much less to traipse about.]]--[[Здесь едва хватает места, чтобы стоять.]]
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the crow's nest"
                    ,["Descend"] = "from the crow's nest"
                    ,["Lie"] = "down on the crow's nest"
                    ,["Sit"] = "down on the crow's nest"
                    ,["Walk"] = "across the crow's nest"
                    ,["Pour"] = "the crow's nest"
                  }
}

square_mast = item {
   nam          = _"mainmast"--_"мачта"
  ,dsc          = [[The terrible wind could put me over the side. In a spell of vertigo I clench the mast, squeezing my eyes shut.
  ^I force them back open toward the sky and notice a small canvas bag fastened overhead.]]--[[Теперь я понимаю, почему матрос, который забирался сюда, всегда обхватывал мачту одной рукой. Даже сейчас ветер такой сильный, что едва не сбивает с ног. К тому же от высоты  у меня начинает кружиться голова. Лучше не смотреть вниз. ^К мачте привязан веревкой какой-то холщовый мешок.]]
  ,Exam         = [[If it were not for the rope I could not have finished that mad ascent.]]--[[Ствол мачты довольно скользский, за него почти невозможно ухватиться. Если бы не кольца из веревки, то я бы никогда не смог подняться сюда.]]
  ,Ascend       = [[I cannot go any higher.]]--[[Лезть дальше вверх по мачте на имеет смысла.]]
  ,Climb        = redirect_("Ascend", "square_mast")
  ,Descend      = redirect_("Descend", "square_itself")
  ,Move         = [[It is staunchly attached to the ship.]]--[[Это невозможно сделать.]]
  ,JumpFrom     = redirect_("JumpFrom", "mast_itself")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the mainmast"
                    ,["Pour"] = "the mainmast"
                    ,["Descend"] = "from the mainmast"
                  }
}

square_bag = item {
   nam          = _"bag"--"мешок"
  ,Exam         = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("square._flask"),
                           [[Inside the canvas bag is a small flask. I open it and sniff, my nose burning with the sting of cheap whisky.
                            ^The anticipation of a stout drink must have given him courage to perform his harrowing duty, but I wonder how the sailor ever made it back down upright.
                            ^The whisky flask might have its uses, opposite those of the spyglass I came in search of. Maybe I should take it.]]--[[В мешке оказалась небольшая фляга. В ней еще что-то есть. Я открыл флягу и принюхался. В нос мне ударил резкий запах дешевого виски.]]
                        }
                    ,["have(flask)"] = [[There is nothing else in the bag.]]--[[В мешке больше ничего нет.]]
                  }
  ,Take         = [[It is attached well to the pole.]]--[[Мне не нужен этот мешок, да и отвязать его от мачты будет совсем не просто.]]
  ,Move         =  [[There is no reason for undoing such competent knotwork.]]--[[Отвязать мешок от мачты будет совсем не просто, и главное -- не ясно, зачем делать это.]]
  ,Untie        = redirect_("Exam", "square_bag")
  ,Open			= redirect_("Exam", "square_bag")
  ,Search		= redirect_("Exam", "square_bag")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the bag"
                    ,["Pour"] = "the bag"
                  }
}

flask = item {
   _drink       = false
  ,nam          = name_ {
                     ["default"] = "flask"
                    ,["Pour"] = "whisky"
                    ,["Drink"] = "whisky"
                  }
  ,Exam         = [[A small flask filled with the lookout's private whisky.]]--[[Маленькая фляжка с дешевым виски -- наверное, секретная заначка моряка, который забирался на грот-мачту.]]
  ,Take         = chain_ {
                    take_("flask"),
                    [[I take the flask, sure to find a proper application for it.]]--[[Я забрал себе фляжку с виски -- наверняка я найду ей применение.]]
                  }
  ,Pour         = use_ {
                     ["default"] = [[I should not pour it out, even cheap swill such as this.]]--[[Не стоит выливать сюда виски.]]
                    ,["candle"] = [[I cannot come up with a good reason to douse the candle.]]--[[Ума не приложу, зачем мне может потребоваться выливать виски на свечу.]]
                    ,["matches"] = [[I should not ruin my matches.]]--[[Так я просто испорчу все спички.]]
                    ,["jacket"] = [[Lost, sickly, and smelling of alcohol is not a description I wish to embody.]]--[[Мне не хочется заливать свой камзол спиртным.]]
                    ,["pants"] = [[Perhaps one day I will pour whisky down my pants, but today is not that day.]]--[[Не понимаю, зачем мне может потребоваться пачкать свои брюки.]]
                    ,["handkerchief"] = 
                        choose_ {
                           ["default"] = chain_ { set_("handkerchief._drink"), [[I pour a drop of whisky on my handkerchief and hold it over my nose.]]--[[Я вылил немного виски на платок. Надеюсь, это поможет перебить запах в трюме.]] }
                          ,["handkerchief._drink"] = [[The handkerchief soaked up my entire allotment.]]--[[От платка и так уже несет виски.]]
                        }
                    ,["cabin_bed"] = [[I still wish to sleep here.]]--[[Не стоит выливать виски на постель, где я сплю.]]
                    ,["cabin_journal"] = [[I will not deface the legacy of this ship, however regrettable.]]--[[Я не собираюсь портить свой журнал.]]
                    ,["cabin_carpet"] = [[A dram for the homeland.]]--[[Залить ковер виски? Зачем?]]
                    ,["cabin_painting"] = [[I do not like the painting but dousing it in alcohol would be childish.]]--[[Картина мне, конечно, не нравится, но заливать ее виски -- это варварство.]]
                  }
  ,Drink        = choose_ {
                     ["default"] = chain_ { set_("flask._drink"), [[I sip it then quickly regret my decision. It feels like it might eat a hole in my stomach.]]--[[Я пригубил немного виски и едва сдержал кашель. Это крепкое пойло обожгло мне все горло.]] }
                    ,["flask._drink"] = [[No, I should not partake. He must have been a foolhardy man.]]--[[Нет, пить это пойло мне больше не хочется.]]
                  }
  ,Throw        = [[I will not throw it away just yet, not while some remains.]]--[[Фляга мне еще пригодится, не стоит ее выбрасывать.]]
  ,cnd          = if_("square._flask")
  ,withWet      = true
  ,imy          = {
                     ["default"] = "the flask"
                    ,["Wet"] = "whisky"
                    ,["Pour"] = "whisky"
                    ,["Drink"] = "whisky"
                  }
}

square_gohold = item {
   nam          = _"deck"--_"палуба"
  ,Descend      = redirect_("Descend", "square_itself")
  ,imy          = {
                     ["default"] = "the deck"
                    ,["Descend"] = "to the deck"
                  }
}


------------------------------------------------------------------------------------------
-- hold
------------------------------------------------------------------------------------------

hold = scene {
   nam          = [[The Cargo Hold]]--"Трюм"
  ,obj          = { 
                     "hold_air"
                    ,"hold_gocambus"
                    ,"hold_gocubrick"
                    ,"hold_godeck"
                    ,"hold_dusty"
                    ,"cmn_floor"
                  }
  ,Exit         = walk_("maindeck", [[I emerge from the suffocating hold and take several deep breaths doubled over with my hands on my knees.]]--[[Я вышел из душного трюма и несколько раз глубоко вдохнул свежий солоноватый воздух.]])
}

hold_air = item {
   nam          = _"air|hold"--_"воздух|трюм"
  ,dsc          = [[A cramped space full of supplies and luggage, the door to the galley off to one side and the door to the sick bay down the tight corridor ahead.]]--[[В трюме довольно сумрачно, и воздух весь пропитан пылью.]]
  ,Exam         =  [[Staying below deck for too long would begin to mark years off one's life.]]--[[Можно подумать, что здесь не было ни одной человеческой души уже не поменьшей мере сотню лет.]]
  ,imy          = {
                     ["default"] = "the hold"
                  }
}

hold_dusty = item {
   nam          = _"dust"--_"пыль"
  ,Exam         = [[The dust makes it difficult to breathe.]]--[[Из-за этой пыли здесь сложно дышать.]]
  ,imy          = {
                     ["default"] = "the dust"
                  }
}

hold_gocambus = item {
   nam          = _"galley|~kitchen"--_"камбуз"
  ,dsc          =  [[I avoid this place, only entering for supplies.]]--[[Последние дни я стараюсь как можно реже спускаться сюда -- да и то лишь заглядываю в камбуз, чтобы взять продукты.]]
  ,Walk         = walk_("hold_cambus")
  ,Climb        = walk_("hold_cambus")
  ,imy          = {
                     ["default"] = "the galley"
                    ,["Walk"] = "into the galley"
                    ,["Climb"] = "into the galley"
                  }
}

hold_gocubrick = item {
   nam          = _"sick bay"--_"кубрик"
  ,dsc          = [[The rotting bodies of two sailors lay in the sick bay with the captain, whom I regrettably moved there after their deaths.]]--[[Тела двух матросов и капитана, которые были еще живы, когда мы потерпели крушение, я отнес в кубрик внизу и с тех пор ни разу туда не заходил.]]
  ,Walk        = walk_("hold_cubrick")
  ,Climb       = walk_("hold_cubrick")
  ,Descend      = redirect_("Walk", "hold_gocubrick")
  ,imy          = {
                     ["default"] = "the sick bay"
                    ,["Walk"] = "into the sick bay"
                    ,["Climb"] = "into the sick bay"
                    ,["Descend"] = "into the sick bay"
                  }
}

hold_godeck = item {
   nam          = _"deck"--_"палуба"
  ,dsc          = [[Inhaling the damp air, I must finish my task and return to the surface quickly.]]--[[Но даже когда я просто стою здесь, невольно прикрывая лицо рукой, точно весь воздух в трюме пропитан ядом, мне хочется поскорее выбраться на палубу.]]
  ,Walk         = redirect_("Exit", "hold")
  ,Ascend       = redirect_("Exit", "hold")
  ,Climb        = redirect_("Exit", "hold")
  ,imy          = {
                     ["default"] = "the deck"
                    ,["Walk"] = "to the deck"
                    ,["Ascend"] = "to the deck"
                    ,["Climb"] = "to the deck"
                  }
}

hold_cambus = scene {
   nam          = _"Galley"--_"Камбуз"
  ,obj          = {
                     "cambus_itself"
                    ,"cambus_dishes"
                    ,"cambus_dust"
                    ,"cambus_axe"
                    ,"cambus_gocoridor" 
                    ,"cmn_floor"
                  }
  ,Exit         = walk_("hold")
}

cambus_itself = item {
   nam          = _[[The Ship's Galley]]--_"камбуз"
  ,dsc          = [[The galley is in complete disarray, even by the cook's own low standards.]]--[[Здесь царит настоящий бедлам.]]
  ,Exam         = [[I don't think I can find here anything useful right now.]]--[[Не думаю, что здесь есть то, что мне нужно.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,imy          = {
                     ["default"] = "the galley"
                  }
}

cambus_dishes = item {
   nam          = _"crockery|dishes|~pans"--_"посуда"
  ,dsc          = [[Dirty dishes are piled against the wall.]]--[[На деревянных столах свалена грязная посуда.]]
  ,Exam         = [[I can barely look at them, covered in putrid remnants of unfinished meals.]]--[[Посуда лежит здесь уже много дней. По какой-то причине мне совсем не хочется к ней прикасаться.]]
  ,Take         = [[I do not need anything here.]]--[[Мне здесь ничего не нужно.]]
  ,Move         = [[I want to avoid touching anything.]]--[[Мне не хочется здесь ничего трогать.]]
  ,Clean        = redirect_("Move", "cambus_dishes")
  ,imy          = {
                     ["default"] = "the crockery"
                  }
}

cambus_dust = item {
   nam          = _"dust"--_"пыль"
  ,dsc          = [[Light is dim in the galley, and the dust hangs quietly in the air.]]--[[Свет в камбузе тоже совсем тусклый, и в воздухе витает пыль.]]
  ,Exam         = [[I involuntarily cough.]]--[[Я с трудом сдерживаю приступ кашля.]]
  ,imy          = {
                     ["default"] = "the dust"
                  }
}

cambus_axe = item {
   nam          = _"cleaver"--_"топор"
  ,dsc          = [[I look around. There is a cleaver on the wall.]]--[[Я осматриваюсь. На стене у входа висит небольшой топорик.]]
  ,Exam         = [[It is a butcher's tool, sharp and sturdy.]]--[[Небольшой, с виду острый топорик. Я уже и не помню, для чего он использовался.]]
  ,Take         = [[It might prove useful, but I don't really need it at the moment.]]--[[Вряд ли мне сейчас пригодится топор.]]
  ,Move         = [[I move the cleaver to another hook.]]--[[Зачем? Пусть топор висит на стене. По крайней мере так я не забуду, куда положил его, если он мне вдруг потребуется.]]
  ,imy          = {
                     ["default"] = "the cleaver"
                  }
}

cambus_gocoridor = item {
   nam          = _"corridor"--_"коридор"
  ,Walk         = redirect_("Exit", "hold_cambus")
  ,imy          = {
                     ["default"] = "the crow's nest"
                    ,["Walk"] = "to the corridor"
                  }
}

hold_cubrick = scene {
   _turn        = false --I turned around
  ,nam          = "Sick bay"--"Кубрик"
  ,obj          = { 
                     "cubrick_itself"
                    ,"cubrick_captain"
                    ,"cubrick_gocoridor" 
                    ,"cmn_floor"
                  }
  ,Exit         = walk_("hold")
  ,TurnAround   = choose_ {
                    ["not hold_cubrick._turn"] = 
                        chain_ {
                          set_("hold_cubrick._turn"),
                          [[Something rustles behind the bodies...]]--[[Мне показалось, что я слышу какой-то шорох. Я вздогнул и обернулся, но никого за моей спиной не было.]]
                        }
                  }
}

cubrick_itself = item {
   nam          = _[[The Sick Bay]]--_"кубрик"
  ,dsc          = choose_ {
                     ["default"] = 
                        [[There is no light, and such a terrible smell I cannot hold back my stomach. I squeeze shut my nose, but the stench of decomposing flesh is overwhelming. I have no choice but to escape back to the relative safety of the corridor empty-handed.]]--[[Здесь совсем нет света и стоит такой чудовищный запах, что я с трудом сдерживаю тошноту. Я зажимаю нос платком, но это не помогает перебить жуткую вонь разлагающихся тел. Я больше не могу находиться здесь ни секунды.]]
                    ,["handkerchief._drink and (not have(candle) or not candle._fire)"] = 
                         [[I hold my nose with the whisky-soaked handkerchief. It is too dark to make a clear assessment of the room.]]--[[Я зажал нос платком, и резкий запах виски перебил стоящий в трюме смрад. Однако здесь совсем темно, я ничего  не могу рассмотреть.]]
                    ,["not handkerchief._drink and have(candle) and candle._fire"] = 
                        [[I catch my breath every time the flame flickers along the wall. The air is so foul.
                        ^Vomiting, I run out and close the door.]]--[[Вздрагавающее при каждом моем вздохе пламя свечи освещает голые стены, однако в кубрике по-прежнему стоит такой  запах, что я едва могу здесь находиться. Платок не помогает, надо как-нибудь перебить запах.]]
                    ,["handkerchief._drink and have(candle) and candle._fire"] = 
                        [[The somber flame of the candle scarcely illuminates the low arches and beams of the compartment. 
                      ^Corpses rest in the shadows.]]--[[Бледное пламя свечи едва освещает низкие своды кубрика. В этом судорожном и немощном свете кажется, что весь трюм заполнен человеческими трупами.]]
                  }
  ,Exam         =  [[Bodies I wished to take ashore to bury as God would have it. It was not in my constitution to lower the three overboard and ferry them along the coast, through the thickets of breadfruit trees. Perhaps, when I have been returned to full health... ^Standing before the captain, lifeless and rotting, I pray the Lord will have mercy on me for such an omission.]]--[[Все тела умерших я отнес в кубрик. Поначалу я думал как-то спустить их на берег и похоронить в земле по христианскому обычаю, но мне пришлось бы перебрасывать тела за борт, в воду, а потом тащить их по каменистому берегу к зарослям хлебных деревьев, у которых можно  вырыть могилу. Я бы просто не смог. По крайней мере, не в моем нынешнем состоянии. Быть может, потом, когда мне станет лучше...  Надеюсь, Господь смилостивится надо мной.]]
  ,Clean        =  [[I am too afraid to touch anything here.]]--[[Я боюсь прикасаться здесь хоть к чему-либо.]]
  ,imy          = {
                     ["default"] = "the sick bay"
                  }
}

cubrick_captain = item {
   nam          = _"body"--_"тело капитана"
  ,dsc          = [[The captain's body, on the floor against the wall, his head bowed solemnly over his chest.]]--[[Я замечаю тело капитана -- капитан сидит на полу у стены, склонив голову. Кажется, что он спит.]]
  ,Exam         = choose_ {
                     ["default"] = 
                        chain_ {
                          take_("key"),
                          [[I notice around the captain's neck a small pouch hanging from a chain. I carefully lift it and check the contents to find an ornate brass key which I decide to take.]]--[[Я обыскиваю тело. На шее у капитана висит небольшой кисет. В нем я нахожу маленький ключ с фигурной головкой. Слава Богу, я не ошибся! Я забираю ключ с собой.]]
                        }
                    ,["have(key)"] = [[There is nothing else in the pouch.]]--[[Мне больше ничего не нужно. Лучше убраться отсюда поскорее.]]
                  }
  ,cnd          = if_("have(candle) and candle._fire and handkerchief._drink")
  ,Move         = [[It is better not to disturb the body any more than necessary. I cannot stomach such close proximity much longer.]]--[[Лучше не трогать тело капитана.]]
  ,Take         = redirect_("Move", "cubrick_captain")
  ,Pick         = redirect_("Move", "cubrick_captain")
  ,imy          = {
                     ["default"] = "the captain's body"
                  }
}

key = item {
   nam          = _"key"--_"ключ"
  ,Exam         = [[Rather decorative, possibly to a small chest or something of the like.]]--[[Маленький ключ с фигурной головкой. Скорее всего, это ключ от ящика стола в каюте капитана.]]
  ,withPour     = true
  ,withOpen     = true
  ,imy          = {
                     ["default"] = "the key"
                    ,["Pour"] = "the key"
                  }
}

cubrick_gocoridor = item {
   nam          = _"corridor"--_"коридор"
  ,dsc          = [[I wish to return to the corridor.]]--[[^Мне хочется поскорее выйти отсюда в коридор.]]
  ,Walk         = redirect_("Exit", "hold_cubrick")
  ,imy          = {
                     ["default"] = "the corridor"
                    ,["Walk"] = "to the corridor"
                  }
}


------------------------------------------------------------------------------------------
-- cabin
------------------------------------------------------------------------------------------

cabin = scene {
   nam          = "The Captain's Cabin"--"Каюта капитана"
  ,obj          = { 
                     "cabin_panes"
                    ,"cabin_carpet"
                    ,"cabin_bed"
                    ,"cabin_painting"
                    ,"cabin_box"
                    ,"candle"
                    ,"cabin_desk" 
                    ,"cabin_drobe"
                    ,"cabin_godeck"
                    ,"cabin_window"
                    ,"cabin_deskboxes_all"
                    ,"cmn_floor"
                  }
  ,Exit         = walk_("maindeck")
  ,TurnAround   = [[I presume there is no one following me, despite my ever increasing paranoia while roaming these black decks.]]--[[Я здесь один.]]
}

cabin_panes = item {
   nam          = _"carved panels|~panels"--_"резные панели|~панели"
  ,dsc          =  [[The cabin is furnished like the office of a statesman at Westminster, with carved mahogany walls and gold filigree about the edges.]]--[[Каюта капитана обставлена как чей-то роскошный кабинет в викторианском стиле. Стены украшены резными панелями из красного дерева,]]
  ,Exam         = [[It reminds me of my father's study, a warm laquered stage upon which he toiled silently. I would sneak to watch him scribble with his quill and madly sort through stacks of paper.]]--[[Обстановка здесь напоминает мне кабинет отца. Помню, как заходил к нему в детстве, когда он работал у себя за столом и даже не замечал меня. Мне тогда казалось, что я оказался внутри лакированной деревянной шкатулки.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the carved panels"
                    ,["Pour"] = "the carved panels"
                  }
}

cabin_carpet = item {
   nam          = _"carpet|~Persian carpet"--_"ковер|~персидский ковёр"
  ,dsc          = [[A finely woven Persian carpet lay stretched across the floor.]]--[[пол застелен персидским ковром,]]
  ,Exam         = [[The woven patterns are beginnning to fade and the edges fray.]]--[[Ковер уже слегка поистрепался -- узоры немного поблекли, а бахрома по краям частично вылезла.]]
  ,Fire         = [[Lighting the carpet on fire would mean the ship itself.]]--[[Вряд ли я смогу поджечь этот ковер. Да если и смогу -- зачем это делать?]]
  ,Move         = [[There is no reason to move it.]]--[[Мне нравится, как ковер лежит сейчас, не вижу смысла его трогать.]]
  ,Sit          = [[I decide to rest on the foot of the bed for a moment instead.]]--[[Лучше уж сесть на постель или за стол.]]
  ,Lie          = [[The carpet is too dusty and worn to be suitable for resting.]]--[[Ковер довольно пыльный, и мне не хочется на нем лежать, особенно, когда рядом есть удобная постель.]]
  ,Take         = [[I cannot take the rug with me.]]--[[И зачем мне забирать с собой персидский ковер?]]
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the Persian carpet"
                    ,["Pour"] = "the Persian carpet"
                    ,["Lie"] = "down on the Persian carpet"
                    ,["Sit"] = "down on the Persian carpet"
                  }
}

cabin_bed = item {
   nam          = _"bed"--_"кровать|~постель"
  ,dsc          = [[There is a comfortable bed for such transient quarters.]]--[[а над широкой кроватью]]
  ,Exam         = [[I grow accustomed to it.]]--[[На этой кровати я провожу каждую ночь.]]
  ,Sit          = [[It is only the middle of the day, but I feel exhausted, as though a week has passed since morning. If I allow myself to sleep now, these difficulties I face will only grow stronger.
                    ^I overcome the urge to stretch out on the bed, then rise to my feet.]]--[[Я присаживаюсь на постель. Еще только середина дня, а я чувствую себя измотанным, словно уже целую неделю на ногах. Но нет, не  время отдыхать. Мне кажется, если я начну спать среди дня, то лишь сильнее разболеюсь. Нельзя сдаваться.^ Поборов в себе желание растянуться на постели, я поднимаюсь на ноги.]]
  ,Move         =  [[Why, it is just too heavy.]]--[[Зачем мне передвигать постель? К тому же она слишком тяжелая, один я не справлюсь.]]
  ,Lie          = walk_("bedroom")
  ,Climb        = walk_("bedroom")
  ,Clean        = nilfn
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the beb"
                    ,["Climb"] = "into the beg"
                    ,["Lie"] = "down on the bed"
                    ,["Sit"] = "down on the bed"
                    ,["Pour"] = "the bed"
                  }
}

cabin_painting = item {
   nam          = _"painting"--_"картина"
  ,dsc          = [[A painting hangs in an finely crafted frame, depicting a single masted sailing ship climbing the crest of an enormous wave.]]--[[висит картина в массивной и слегка безвкусной раме -- одномачтовый парусник, который взбирается на гребень ненатуральной маслянистой волны.]]
  ,Exam         =  [[I doubt it was painted by anyone of note. The brush strokes are heavily affected, giving an unnatural quality to the sea. I have considered removing it from the wall.]]--[[Сомневаюсь, что эту картину нарисовал известный живописец -- есть в ней какая-то аляповатость и наигранность. Море не слишком похоже на море, а парусник кажется игрушечным корабликом, который вот-вот взмоет над волнами под дуновением ветра. Я даже подумывал о том, чтобы снять эту картину со стены.]]
  ,Move         = [[It does not seem right to rearrange the living space of a man so recently deceased. I will treat my stay here as but a guest.]]--[[Картину и правда стоило бы убрать отсюда, однако я почему-то все никак не решаюсь это сделать. Как если бы жду, что покойный капитан когда-нибудь вернется и затребует права на свою каюту. Пусть я и на необитаемом острове, я здесь -- всего-лишь гость.]]
  ,Fire         =  [[That would be a violent affront to the captain's memory.]]--[[Хоть эта картина мне и не нравится, сжигать ее у меня намерений нет.]]
  ,FireOff      = nilfn
  ,Take         =  [[I really do not like the painting.]]--[[У меня нет желания таскать с собой эту картину, пользы от нее никакой не будет.]]
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the painting"
                    ,["Pour"] = "the painting"
                  }
}

cabin_box = item {
   nam          = _"nightstand"--_"тумбочка"
  ,dsc          = choose_ {
                     ["default"] = [[Next to the bed is a wobbling nightstand with a single drawer. There is a candle balanced atop.]]--[[Рядом с кроватью стоит небольшая кряжистая тумбочка, на которой можно заметить свечу в подсвечнике.]]
                    ,["have(candle)"] = [[Next to the bed is a small nightstand with a compartment.]]--[[Рядом с кроватью стоит небольшая кряжистая тумбочка.]]
                  }
  ,Exam         = choose_ {
                     ["default"] = chain_ { take_("matches"), [[I slide the drawer out and find a box of matches. These will be useful, I am sure.]]--[[Я осмотрел тумбочку и нашел в одном из ее ящиков коробок со спичками. Спички мне пригодятся. Я кладу их в карман.]] }
                    ,["have(matches)"] = [[There is nothing else useful inside the drawer.]]--[[В тумбочке больше нет ничего полезного.]]
                  }
  ,Sit          = [[It is unlikely to hold my weight.]]--[[Вряд ли эта тумбочка хорошо подходит для того, чтобы на ней сидеть.]]
  ,Ascend       = redirect_("Sit", "cabin_box")
  ,ClimbIn      = [[The drawer is small. It could barely fit my shoe.]]--[[Сомневаюсь, что я смогу залезть в тумбочку.]]
  ,Open         = redirect_("Exam", "cabin_box")
  ,Move         = [[I move the nightstand away from the wall. Nothing of note. ^I return it to where the captain left it.]]--[[Сам не понимая, зачем, я отодвинул тумбочку от стены, но потом вновь поставил ее на прежнее место.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the nightstand"
                    ,["Climb"] = "into the nightstand"
                    ,["Pour"] = "the nightstand"
                    ,["Sit"] = "on the nightstand"
                  }
}

matches = item {
   nam          = _"matches"--_"спички"
  ,Exam         =  [[Phosphorus matches, almost a full box.]]--[[Обычные фосфорные спички, почти полная коробка.]]
  ,Fire         = use_ {
                    ["matches"] = [[I should save as many matches as I can, to use them when necessary.]]--[[Спички мне еще пригодятся, зачем их сжигать?]]
                  }
  ,FireOff      = [[They are not lit.]]--[[Ни одна из спичек сейчас не горит.]]
  ,Throw        = [[I should keep hold of them. One never knows when an implement of modern civilization will be sorely missed in circumstances such as these.]]--[[Спички мне наверняка пригодятся, не стоит их выбрасывать.]]
  ,withPour     = true
  ,withFire     = true
  ,imy          = {
                     ["default"] = "the matches"
                    ,["Pour"] = "the matches"
                  }
}

light_candle = choose_ {
                     ["default"] = chain_ { set_("candle._fire"), [[I light the candle.]]--[[Я зажег свечу.]] }
                    ,["candle._fire"] = [[The wick is already lit.]]--[[Свеча уже и так горит.]]
                  }
candle = item {
   _fire        = false --Fire is on
  ,nam          = _"candle|~wick"--_"свеча"
  ,Exam         =  [[The candle is surrounded by a frozen cascade of wax.]]--[[Это уже даже и не свеча, а огарок, весь покрытый застывшими слезами воска. Однако несколько минут она еще точно погорит.]]
  ,Take         = chain_ { take_("candle"), [[I take the candle.]]--[[Я взял свечу.]] }
  ,Fire         = use_ {
                    ["matches"] = 
                        location_ {
                           ["cabin"] = light_candle
                          ,["desk"] = light_candle
                          ,["hold"] = light_candle
                          ,["hold_cambus"] = light_candle
                          ,["hold_cubrick"] = light_candle
                          ,["default"] = [[I light the candle, but the wind blows it out.]]--[[Я зажег свечу, но ее тут же погасил ветер.]]
                        }
                  }
  ,FireOff      = choose_ {
                     ["default"] = [[The candle is out.]]--[[Свеча и так не горит.]]
                    ,["candle._fire"] = chain_ { unset_("candle._fire"), [[I put out the flame.]]--[[Я потушил свечу.]] }
                  }
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the candle"
                    ,["Pour"] = "the candle"
                  }
}

cabin_godeck = item {
   direction    = true
  ,nam          = _"deck|~outside"--_"палуба"
  ,dsc          = [[^It is ever so musty.]]
  ,Walk         = walk_("maindeck")
  ,Descend      = walk_("maindeck")
  ,imy          = {
                     ["default"] = "the deck"
                    ,["Walk"] = "to the deck"
                    ,["Descend"] = "to the deck"
                  }
}

cabin_drobe = item {
   nam          = _"wardrobe|~oak wardrobe"--_"шкаф|~дубовый шкаф"
  ,dsc          = [[Behind the door looms a massive oak wardrobe with heavy handles.]]--[[А у самой двери подпирает потолок огромный дубовый шкаф с позолоченными круглыми ручками.]]
  ,Exam         = [[I open the wardrobe and get the impression the captain was busy at every port of call. ^And intemperate, judging by the hoard of empty bottles.]]--[[Я осматриваю содержимое шкафа. Складывается впечатление, что у капитана здесь была свалка ненужных вещей, хотя я был почти уверен, что он прячет в шкафу спиртное. Я и правда замечаю большую бутылку из-под скотча, однако бутылка пустая.]]
  ,Open         = redirect_("Exam", "cabin_drobe")--[[Я осматриваю содержимое шкафа. Складывается впечатление, что у капитана здесь была свалка ненужных вещей, хотя я был почти уверен, что он прячет в шкафу спиртное. Я и правда замечаю большую бутылку из-под скотча, однако бутылка пустая.]]
  ,Sit          = [[I cannot fit inside, and it is nearly touching the ceiling.]]--[[Сесть на шкаф у меня вряд ли получится.]]
  ,Move         = [[It is incredibly heavy.]]--[[Шкаф слишком тяжелый, к тому же я не вижу никакого смысла его двигать.]]
  ,Ascend       = [[There is no way to get on top of the wardrobe.]]--[[Мне кажется, что залезать на шкаф -- не самая лучшая идея.]]
  ,Climb        = redirect_("Ascend", "cabin_drobe")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,imy          = {
                     ["default"] = "the oak wardrobe"
                    ,["Sit"] = "on the oak wardrobe"
                  }
}

cabin_deskboxes_all = item {
   nam          = _"~drawers"--_"~ящики стола"
  ,Exam         = redirect_("Open", "cabin_desk")
  ,Open         = redirect_("Open", "cabin_desk")
  ,imy          = {
                     ["default"] = "the drawers"
                  }
}

cabin_desk = item {
   nam          = _"desk|~table"--_"стол"
  ,dsc          = [[Near the window is the captain's desk.]]--[[Чуть дальше, у окна, расположился широкий письменный стол.]]
  ,Exam         = [[Here the captain maintained entries in the ship's log, details of the epidemic on the ship. Perhaps I continue this task for the sake of my dear Lisa...
  ^There are several small drawers within the desk, one of which has a lock.]]--[[Теперь это мой рабочий стол, здесь я веду бортовой журнал "Майского цветка" вместо капитана. У стола есть несколько ящиков, один из которых запирается на ключ.  Совсем недавно я <i>сидел за этим столом</i> и писал об эпидемии на корабле, о Лизе... Иногда мне кажется, что, если бы не бортовой журнал, я давно бы лишился рассудка от одиночества.]]
  ,Sit          = walk_("desk")
  ,Climb        = [[It would be disrespectful without a good reason to do so.]]--[[У меня нет желания залезать в стол.]]
  ,Open         = [[I should probably sit down if I wish to rifle through the captain's belongings.]]--[[Осматривать ящики стола стоя неудобно, лучше мне сесть за стол.]]
  ,Clean        = nilfn
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         =  [[I push the desk a bit closer to the window, accomplishing nothing really.]]--[[Ума не приложу, зачем бы мне потребовалось передвигать стол, который сейчас стоит очень удачно, у самого окна.]]
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the desk"
                    ,["Pour"] = "the desk"
                    ,["Sit"] = "down at the desk"
                  }
}

cabin_window = item {
   nam          = _"window"--_"окно"
  ,Exam         = [[The weather is remarkably clear. I should take advantage of it.]]--[[Погода сегодня на удивление ясная. Совсем не хочется проводить время в этой душной каюте.]]
  ,Open         = [[The window is sealed shut.]]--[[По-моему это окно не открывается.]]
  ,Clean        = choose_ {
                     ["handkerchief"] = [[I use my handkerchief to buff the glass, as more light enters to brighten the cabin.]]--[[Я протер оконное стекло своим измятым платком -- кажется, в каюте даже стало чуть светлее.]] 
            --FIXME possibly needs an effect, once more light comes into the room the player can find something hidden in a corner...
                    ,["jacket"] = [[I awkwardly wipe the glass with my sleeve, to no real effect.]]--[[Протирать окно камзолом не слишком удобно.]]
                  }
  ,imy          = {
                     ["default"] = "the window"
                  }
}

desk = scene {
   nam          = "At the Captain's Desk"--"За столом"
  ,obj          = { 
                     "desk_itself"
                    ,"cabin_deskboxes"
                    ,"cabin_closedbox"
                    ,"cabin_journal" 
                  }
  ,TurnAround   = [[Sometimes sitting at the desk filling out the ship's log I get the sense that someone stands over my shoulder, reading my words.]]--[[Порою, когда я сижу за столом и делаю записи в журнал "Майского цветка", у меня возникает такое чувство, словно кто-то незримый стоит позади меня и пристально смотрит на то, что я пишу из-за плеча. Нередко я даже оборачиваюсь -- лишь чтобы убедиться в том, что в каюте нет никого, кроме меня.]]
  ,Wait         = [[I stare at the captain's entries and feel the enormous distance of time and space between my body and my father's house, between myself and Lisa, like a thread stretched thinner and weaker with every moment.
                  ^Panic surfaces within me and I grip the desk, sweating and shaking.]]--[[Я какое-то время сижу, уставившись на бортовой журнал. В такие секунды я начинаю физически ощущать то чудовищное расстояние, которое отделяет меня от дома -- словно бы внутри меня болезненно натягивается пронзительная струна. Еще чуть-чуть, и я не  выдержу, поддамся панике, сойду с ума... Но надо держать себя в руках.]]
  ,Exit         = walk_("cabin")
  ,Stand        = walk_("cabin")
}

desk_itself = item {
   nam          = _"desk|table"--_"стол"
  ,Sit          = [[I am already sitting at the desk.]]--[[Я уже и так сижу за столом.]]
  ,Exam         = [[It is carved of wood, with various trinkets scattered across the top, and drawers on either side.]]--[[Большой стол из резного дерева, который можно, скорее, ожидать увидеть в кабинете известного романиста. У стола есть несколько ящиков с фигурными медными ручками.]]
  ,Climb        = [[I cannot fit inside the drawers.]]--[[Сомневаюсь, что я помещусь в каком-либо из ящиков этого стола.]]
  ,Ascend       = [[I have no reason to mount it.]]--[[У меня совсем нет желания забираться на стол.]]
  ,Sit          = redirect_("Ascend", "desk_itself")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Move         = redirect_("Move", "cabin_desk")
  ,Clean        = nilfn
  ,withPour     = true
  ,imy          = {
                     ["default"] = "the desk"
                    ,["Pour"] = "the desk"
                    ,["Climb"] = "in the desk"
                    ,["Sit"] = "down at the desk"
                  }
}

cabin_deskboxes = item {
   nam          = _"top drawers"--_"верхние ящики"
  ,dsc          = [[Many drawers with ornate brass handles.]]--[[Большой стол из резного дерева, который можно, скорее, ожидать увидеть в кабинете известного романиста. У стола есть несколько ящиков с фигурными медными ручками.]]
  ,Exam         = [[One holds stationery, one holds cigars, nothing extraordinary or useful.]]--[[В открытых ящиках нет ничего полезного -- письменные принадлежности, чистые листы бумаги, коробка с сигарами... Вряд ли мне пригодится что-нибудь из этого.]]
  ,Take         = [[I will leave the drawers, along with the captain's belongings.]]--[[Зачем мне таскать с собой ящик?]]
  ,Open         = [[The drawers are already open.]]--[[Ящики и так открыты.]]
  ,Search		= [[I see nothing of use inside.]]
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,Climb        = [[They are quite small drawers.]]--[[Сомневаюсь, что я помещусь в каком-либо из ящиков этого стола.]]
  ,imy          = {
                     ["default"] = "the top drawers"
                    ,["Climb"] = "in the top drawers"
                  }
}

cabin_closedbox = item {
   _open        = false --Box is opened
  ,nam          = _"bottom drawer"--_"нижний ящик"
  ,dsc          = [[However the bottom one is locked. There might be something valuable inside.]]--[[Нижний ящик закрывается на ключ -- думаю, именно в нем капитан хранил все свои ценные вещи.]]
  ,Exam         = choose_ {
                     ["default"] = 
                         [[The captain might still have the key on his person, and I did not think to check when I moved him into the sick bay with two of his sailors. I dread seeing them after so long...]]--[[Ящик закрыт на ключ. Готов поспорить, что ключ остался на теле у капитана. Капитана я перенес в трюм, но это было... Сколько уже недель назад?.. Неужели мне придется вновь спускаться туда?]]
                    ,["cabin_closedbox._open"] = 
                        chain_ {
                          put_("spyglass2"),
                           [[Inside the drawer is the captain's spyglass. It is not my father's, but it will serve my purpose.
                ^I hesitate, feeling a pang of guilt at looting the possessions of a dead man, one against whom I bore no ill will...]]--[[В нижнем ящике действительно лежит подзорная труба, которую я видел несколько раз у капитана. Пусть она и не заменит мне потерянную отцовскую, но я по крайней мере вновь смогу разглядеть хоть что-нибудь за поволокой тумана, которая окружает остров.^Я несколько колеблюсь, будто бы дух капитана наблюдает за мной, будто бы я краду чужие вещи...  Но ведь ему уже не пригодится эта подзорная труба...]]
                        }
                  }
  ,Open         = use_ {
                     ["nil"] = 
                        choose_ {
                           ["default"] = [[The drawer is locked.]]--[[Нижний ящик закрыт на ключ.]]
                          ,["cabin_closedbox._open"] = redirect_("Exam", "cabin_closedbox")
                        }
                    ,["rope"] = 
                        choose_ {
                           ["default"] = [[The desk is solidly fashioned from thick pieces of timber. Gaining access to the locked drawer requires its key.]]--[[Вряд ли этим крюком получится выломать ящик, стол очень добротный, и ящик прилегает плотно, без всяких щелей. К тому же от этого ящика точно есть ключ.]]
                          ,["cabin_closedbox._open"] = [[I already used the captain's key.]]--[[Я уже открыл ящик ключем.]]
                        }
                    ,["key"] = 
                        chain_ { 
                          drop_("key"),
                          set_("cabin_closedbox._open"),
                           [[The brass key turns with a satisfying clink, and the drawer slides out.]]--[[Ключ действительно подошел! Я повернул ключ несколько раз, раздался ровный приятный слуху щелчок, и ящик открылся.]]
                        }
                  }
  ,Take         = choose_ {
                     ["default"] = [[The drawer is immobile. I need to gain access to its contents, for I believe they will offer some service to my cause.]]--[[Зачем мне таскать с собой ящик? Да и в любом случае, ящик закрыт на ключ, и я не могу его выдвинуть.]]
                    ,["cabin_closedbox._open"] = [[I do not need the drawer itself.]]--[[Зачем мне таскать с собой ящик?]]
                  }
  ,Climb        = redirect_("Climb", "cabin_deskboxes")
  ,Search		= redirect_("Open", "cabin_closedbox")
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,imy          = {
                     ["default"] = "the bottom drawer"
                    ,["Climb"] = "in the bottom drawer"
                  }
}

cabin_journal = item {
   nam          = _"logbook|~diary"--_"бортовой журнал|~журнал|~дневник"
  ,dsc          = [[The captain's log sits open on the surface, where I continue to document the state of the Mayflower.]]--[[На столе лежит бортовой журнал -- раньше его вел капитан, а теперь я пишу здесь свои заметки.]]
  ,Exam         =  [[Our captain was a laconic man. He lists the date of departure, a few terse notes leading up to the outbreak, then my account begins.]]--[[Капитан наш не был многословен. Здесь есть только запись об отбытии, а потом краткие заметки, да и то не каждый день, которые  обрываются примерно когда началась эпидемия. А потом журнал продолжил вести уже я.]]
  ,withPour     = true
  ,Take         = [[I should leave it here with the ship, for fear of losing it on one of my walkabouts.]]--[[Нет смысла носить с собой бортовой журнал.]]
  ,Fire         = [[It is important to tell the world what happened, perhaps as much as to combat my loneliness with its description. 
  ^I will not burn it.]]--[[Вести бортовой журнал -- единственное занятие, которое спасает меня от одиночества. Зачем мне сжигать его?]]
  ,FireOff      = nilfn
  ,imy          = {
                     ["default"] = "the logbook"
                    ,["Pour"] = "the logbook"
                  }
}

bedroom = scene {
   nam          = "The Captain's Cabin"--"На постели"
  ,obj          = { "bedroom_itself" }
  ,TurnAround   = [[It is exceedingly difficult once I am on the bed.]]--[[Сделать это совсем не просто, когда лежишь на постели.]]
  ,Wait         = [[I remain prostrate until my eyelids begin to close...]]--[[Я немного полежал на постели, но от этого мне еще сильнее захотелось спать.]]
  ,Stand        = walk_("cabin", [[I force myself out of bed.]]--[[Я с трудом заставил себя подняться с постели.]])
}

bedroom_itself = item {
   nam          = _"bed"--_"постель|~кровать"
  ,dsc          = [[Lying on the bed exhausted, despite having accomplished so little. It is too early to sleep.]]--[[Я лежу на постели. Я чертовски устал, хотя практически ничего за весь день не сделал -- как если бы самый воздух на этом острове оказывал какое-то губительное воздействие на мой организм, вгонял меня в сонную хандру.  Но еще самый разгар дня, мне не стоит разлеживаться на постели.]]
  ,Exam         = [[Unkempt and smelling of weeks worth of sweat and salt. However, I do not wish to expend the scarce energy I have on house cleaning.]]--[[Постель так и не убрана с утра, однако сейчас мне не хочется ничем заниматься.]]
  ,Lie          = [[I lie down on the bed and relax my aching bones.]]--[[Я и так лежу на постели.]]
  ,Climb        = redirect_("Lie", "bedroom_itself")
  ,Sit          = walk_("cabin", [[I sit on the corner of the bed, my back hunched as I stare at my boots.
^I force myself to stand.]]--[[Я усаживаюсь на постели и какое-то время просто сижу так, ссутулившись и глядя себе под ноги. Затем наконец заставляю себя подняться на ноги.]])
  ,Fire         = nilfn
  ,FireOff      = nilfn
  ,Clean        = nilfn
  ,Move         = redirect_("Move", "cabin_bed")
  ,imy          = {
                     ["default"] = "the bed"
                    ,["Climb"] = "on the bed"
                    ,["Lie"] = "down on the bed"
                    ,["Sit"] = "down on the bad"
                  }
}

