
tutorial1 = scene {
   nam          = "Tutorial"
  ,enter        = function(s)
                    theme.set("scr.gfx.bg", "gfx/texture.jpg");
                  end
  ,dsc          = [[In Mainland all interactions are accomplished by typing commands into what is known as the parser. In contrast to many parser games, Mainland offers clickable possibilities as you type.
  ^^For example, if you type the letter 't' you will see all possible action verbs that begin with 't', and the number of possibilities will narrow as you enter more letters. If you press TAB the closest match will be filled in for you. After entering a verb, a list of direct objects will be displayed.
  ^^Type or click 'Continue' to move on.]]
					 --[[Добро пожаловать! 'Материк' -- это текстовая игра, в которой все взаимодействия с окружающим 
                    миром осуществляются путем ввода команд. Такие игры также известны как парсерные. В отличие
                    от традиционных текстовых игр 'Материк' подсказывает вам, что именно вы можете ввести, а если
                    в нижней части экрана появляется знак вопроса, то это означает, что игра не понимает введенную
                    вами команду.^^
                    Например, если вы введете букву 'о', то можете увидеть список всех действий, которые начинаются
                    на 'о'. Вам необязательно набирать все слово целиком -- нажмите TAB, и игра автоматически подставит 
                    подходящий вариант в строку ввода. После этого вы увидите все объекты, над которым можно совершить 
                    выбранное действие.^^
                    Для перехода на следующий экран, где вы сможете немного попрактиковаться, введите 'дальше'.]]
  ,verbs        = { { "Next", "continue", "{}" } }
  ,Next         = walk_("tutorial2")
}

tutorial2_next = function()
  if tutorial_coin._seen then
    return "continue";
  else
    return "";
  end
end
tutorial2 = scene {
   nam          = "Laboratory"
  ,dsc          = [[You're standing in a small room with bare walls and a large metal table in the middle.]]
					 --[[Вы находитесь в тесной комнате с голыми стенами. Из всей мебели в этой комнате есть только большой
                    лабораторный стол.]]
  ,obj          = { "tutorial_room", "tutorial_wall", "tutorial_table", "tutorial_coin" }
  ,verbs        = { 
                     { "Next", tutorial2_next, "{}" }   
					 ,{ "Exam %2", "~examine", "{obj}" }
					 ,{ "Take %2", "~take", "{obj}" }
                  }
  ,Next         = walk_("tutorial3")
}

tutorial_room = item {
   nam          = _"room" --_"комната"
  ,Exam         = [[The builder was clearly not one to splurge on decoration.]]
  --[[Хозяин этой комнаты явно не тратился на обстановку.]]
  ,ExamWith     = [[Very basic indeed.]]
  --[[Тут нечего разглядывать через лупу.]]
  ,Take         = [[Try something else.]]
  --[[Так не пойдет. Попробуйте что-нибудь другое.]]
}

tutorial_wall = item {
   nam          = _"wall"--_"стены"
  ,Exam         = [[The walls are white, like a hospital.]]
  --[[Стены выкрашены белой краской, которая напоминает о больнице.]]
  ,ExamWith     = redirect_("ExamWith", "tutorial_room")
  ,Take         = redirect_("Take", "tutorial_room")
}

tutorial_table = item {
   nam          = _"table"--_"стол"
  ,Exam         = [[The table is made of painted metal, and the paint is peeling in spots on the legs.]]
  --[[Стол металлический, краска на ножках местами облупилась.]]
  ,ExamWith     = [[I would need a magnifying glass to find any dirt on it.]]
  --[[Грязь на столе очень хорощо видна через лупу.]]
  ,Take         = [[The table is too heavy and large to take with me.
  ^^And there is nowhere to go...]]
  --[[Стол слишком большой и тяжелый, в карман не влезет.]]
}

tutorial_coin = item {
   _seen        = false
  ,_seen2       = false
  ,nam          = _"coin"--_"монета"
  ,dsc          = [[There is a coin laying on the table.]]  --[[На столе лежит монета.]]
  ,Take         = [[It is a foreign currency. I think I'll leave it, just to be polite.]]
  --[[Это чужая монета, пусть лучше она останется на столе.]]
  ,Exam         = chain_ { set_("tutorial_coin._seen"), [[It looks like gold. There is a minted profile with an inscription, but my eyes are quite incapable of making out the meaning without some help.]]
  --[[Судя по виду, монета золотая. На ней можно заметить чей-то отчеканенный профиль и надпись, однако надпись частично стерлась и разглядеть ее никак не получается.]] }
  ,ExamWith     = chain_ { set_("tutorial_coin._seen2"), [[It is a gold sovereign of 1846 with the image of Queen Victoria. Around the edge it is written:  Victoria dei gratia. ]]
  --[[Это золотой суверен 1847 года с изображением королевы Виктории. Вокруг отчеканенного профиля написано: Victoria dei gratia.]] }
}

tutorial3 = scene {
   nam          = "Tutorial"
  ,dsc          = [[Items you are carrying will be printed by the parser in green letters.
  ^^You will often need to use one object upon another. For example, in the laboratory you could not examine the coin effectively with the naked eye. A magnifying glass would have helped with your investigation.]]
  				 --[[В игре у вас есть инвентарь (чтобы проверить его, введите "осмотреть себя"), и иногда у вас появляется возможность
                    этот инвентарь пополнить. Для этого можно использовать глагол "взять" в отношении предметов, которые привлекли ваше
                    внимание. Кстати, над предметами в инвентаре можно также совершать разные действия, при этом для удобства в строке 
                    автодополнения названия вещей из инвентаря всегда отображаются зеленым цветом.^^
                    Также в игре вам нередко придется совершать действия, в которых участвуют сразу несколько предметов. Например,
                    вы можете просто осмотреть монету, а можете осмотреть монету через лупу.^^
                    Введите "дальше", чтобы перейти к следующем экрану, где вы сможете немного потренироваться.]]
  ,verbs        = { { "Next", "continue", "{}" } }
  ,Next         = walk_("tutorial4")
}

tutorial4_next = function()
  if tutorial_coin._seen2 then
    return "continue";
  else
    return "";
  end
end
tutorial4 = scene {
   nam          = "Laboratory"
  ,dsc          =  [[You're standing in a small room with bare walls and a large laboratory table in the middle.]]
					 --[[Вы находитесь в тесной комнате с голыми стенами. Из всей мебели в этой комнате есть только большой
                    лабораторный стол.]]
  ,obj          = { "tutorial_room", "tutorial_wall", "tutorial_table", "tutorial_lens", "tutorial_coin" }
  ,verbs        = { 
                     { "Next", tutorial4_next, "{}" } 
                    ,{ "Take %2", "~take", "{obj}" }
                    ,{ verb_exam_type, "~examine", "{obj}|{inv}|{hero}", "{}|with", "{inv}" }
                  }
  ,Next         = walk_("tutorial5")
}

tutorial_lens = item {
   nam          = _"magnifying glass"--_"лупа"
  ,dsc          = [[There is now a magnifying glass laying on the table.]]
  --[[На столе лежит лупа.]]
  ,Exam         = [[It has a large lens, and a handle carved from mother of pearl. This would be perfect for studying antique coins.]]
  --[[Большая лупа с резной перламутровой ручкой. Отлично подходит, чтобы разглядывать монеты.]]
  ,ExamWith     = [[I cannot examine the magnifying glass any closer without another.]]
  --[[Осмотреть лупу через лупу не получится.]]
  ,Take         = chain_ { take_("tutorial_lens"),  [[You take the magnifying glass from the table.
  ^^You tell yourself it isn't stealing if you bring it right back...]]
  --[[Вы взяли лупу со стола. (Мы ведь не забираем ее, а просто одолжили на время).]] }
}

tutorial5 = scene {
   nam          = "Tutorial"
  ,dsc          = [[Your game is automatically saved everytime you exit, but you can always manage your saves from the pop-up menu by pressing Esc.
  ^^So that's it! Simple to play, simple to enjoy!]]
					 --[[Вот и все! Вы прошли наше небольшое обучение. Введите "дальше", чтобы вернуться в главное меню. И желаем вам
                    приятной игры!^^
                    Игра "Материк" автоматически сохраняется при выходе. Тупиковых ситуаций в игре нет. Чтобы вызвать системное
                    меню INSTEAD, с помощью которого вы можете менять настройки звука и графики, сохраняться и загружать сохранения,
                    нажмите ESC.]]
  ,verbs        = { { "Next", "continue", "{}" } }
  ,Next         = chain_ { drop_("tutorial_lens"), stead.restart }
}

